OD_stream_t Struct Reference
CANopen_301 » OD interface

IO stream structure, used for read/write access to OD variable, part of OD_IO_t. More...

`#include <CO_ODinterface.h>`

## Data Fields

void * | dataObjectOriginal
| Pointer to original data object, defined by Object Dictionary. More...
void * | object
| Pointer to object, passed by OD_extensionIO_init(). More...
OD_size_t | dataLength
| Data length in bytes or 0, if length is not specified.
OD_size_t | dataOffset
| In case of large data, dataOffset indicates position of already transferred data.

## Detailed Description

IO stream structure, used for read/write access to OD variable, part of OD_IO_t.

## Field Documentation

## dataObjectOriginal

void* OD_stream_t::dataObjectOriginal

Pointer to original data object, defined by Object Dictionary.

Default read/write functions operate on it. If memory for data object is not specified by Object Dictionary, then dataObjectOriginal is NULL.

## object

void* OD_stream_t::object

Pointer to object, passed by OD_extensionIO_init().

Can be used inside read / write functions from IO extension.

The documentation for this struct was generated from the following file:

- 301/CO_ODinterface.h